package com.brilliance.isc.bo.model;

import com.brilliance.isc.bo.Ltd;
import com.brilliance.isc.bo.Ltt;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.brilliance.isc.common.vo.PtsptaVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Ltdgrp extends AbstractCommonVo {

    private Ltd rec;

    private Ltt blk;

    private Ltacbs cbs;

    private PtsptaVo be1;

    private PtsptaVo adt;

    private PtsptaVo rmt;

    private PtsptaVo a2t;

    private PtsptaVo avt;

    private PtsptaVo be2;

    private PtsptaVo drw;

    private PtsptaVo tp0;

    private PtsptaVo tp1;

    private PtsptaVo tp2;

    private PtsptaVo tp3;

    private PtsptaVo tp4;

    private PtsptaVo tp5;

    private PtsptaVo tp6;

    private PtsptaVo tp7;

    private PtsptaVo tp8;

    private PtsptaVo tp9;

    private PtsptaVo oap;

    private PtsptaVo con;

    //Available with Bank
    private  String avbnam ;

    @Override
    public void reset() {
        if (rec == null) {
            rec = new Ltd();
        }
        if (blk == null) {
            blk = new Ltt();
        }
        if (cbs == null) {
            cbs = new Ltacbs();
        }
        cbs.reset();
        if (be1 == null) {
            be1 = new PtsptaVo();
        }
        be1.reset();
        if (adt == null) {
            adt = new PtsptaVo();
        }
        adt.reset();
        if (rmt == null) {
            rmt = new PtsptaVo();
        }
        rmt.reset();
        if (a2t == null) {
            a2t = new PtsptaVo();
        }
        a2t.reset();
        if (avt == null) {
            avt = new PtsptaVo();
        }
        avt.reset();
        if (be2 == null) {
            be2 = new PtsptaVo();
        }
        be2.reset();
        if (drw == null) {
            drw = new PtsptaVo();
        }
        drw.reset();
        if (tp0 == null) {
            tp0 = new PtsptaVo();
        }
        tp0.reset();
        if (tp1 == null) {
            tp1 = new PtsptaVo();
        }
        tp1.reset();
        if (tp2 == null) {
            tp2 = new PtsptaVo();
        }
        tp2.reset();
        if (tp3 == null) {
            tp3 = new PtsptaVo();
        }
        tp3.reset();
        if (tp4 == null) {
            tp4 = new PtsptaVo();
        }
        tp4.reset();
        if (tp5 == null) {
            tp5 = new PtsptaVo();
        }
        tp5.reset();
        if (tp6 == null) {
            tp6 = new PtsptaVo();
        }
        tp6.reset();
        if (tp7 == null) {
            tp7 = new PtsptaVo();
        }
        tp7.reset();
        if (tp8 == null) {
            tp8 = new PtsptaVo();
        }
        tp8.reset();
        if (tp9 == null) {
            tp9 = new PtsptaVo();
        }
        tp9.reset();
        if (oap == null) {
            oap = new PtsptaVo();
        }
        oap.reset();
        if (con == null) {
            con = new PtsptaVo();
        }
        con.reset();


    }
}
